Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.job.measurement
Class GenericAttribute

    java.lang.Object
      com.sun.management.oss.impl.job.measurement.GenericAttribute

public class GenericAttribute
extends java.lang.Object

`GenericAttribute` class.

This class represents an attribute of a GenericObject object See GenericObject for more information.

Version:
  1.0

Constructor Summary
`GenericAttribute(java.lang.String name, int type, java.lang.Object value)`
`GenericAttribute(java.lang.String name, int type, java.lang.String exceptionMsg)`
`GenericAttribute(java.lang.String name, java.lang.String exceptionMsg)`

Method Summary
`java.lang.String` | `getExceptionMessage()`
`java.lang.String` | `getName()`
`int` | `getType()`
`java.lang.Object` | `getValue()`
`boolean` | `hasException()`
`boolean` | `isArray()`
`void` | `setExceptionMessage(java.lang.String msg)`
`void` | `setIsArray(boolean array)`
`void` | `setName(java.lang.String n)`
`void` | `setType(int type)`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericAttribute

    public GenericAttribute(java.lang.String name,
                            int type,
                            java.lang.Object value)

### GenericAttribute

    public GenericAttribute(java.lang.String name,
                            java.lang.String exceptionMsg)

### GenericAttribute

    public GenericAttribute(java.lang.String name,
                            int type,
                            java.lang.String exceptionMsg)

Method Detail

### setName

    public void setName(java.lang.String n)

### setType

    public void setType(int type)

### setValue

    public void setValue(java.lang.Object value)

### setIsArray

    public void setIsArray(boolean array)

### setExceptionMessage

    public void setExceptionMessage(java.lang.String msg)

### getName

    public java.lang.String getName()

### hasException

    public boolean hasException()

### getType

    public int getType()

### getValue

    public java.lang.Object getValue()

### isArray

    public boolean isArray()

### getExceptionMessage

    public java.lang.String getExceptionMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD